Collection accounts

Create a collection account

POST
/v1/collection-accounts

Create permanent NGN bank details for one customer or payment source. The payout destination identifies where Pulse settles received funds.

Authorization

ApiKeyAuth
X-API-Key<token>

The API key identifies your business. Requests do not include a business ID.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/collection-accounts" \  -H "Content-Type: application/json" \  -d '{    "reference": "string",    "name": "string",    "payout_destination": {      "chain": "string",      "address": "string"    }  }'
{  "status": true,  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reference": "string",    "name": "string",    "bank_account": {      "account_name": "string",      "account_number": "string",      "bank_name": "string"    },    "payout_destination": {      "chain": "string",      "address": "string"    },    "created_at": "2019-08-24T14:15:22Z"  }}